<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC

@author 		juanfelipe.garcia 
@version 		1.0
@description 	Pantalla para el caso de uso Realizar informe de visita a terreno con resultado de levantamiento.
@cu				CU-NP-CO-211 - Realizar informe de visita a terreno con resultado de levantamiento

@modified leidy.gonzalez Se agrega columna de derecho de peticio o tutela
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/generalCU.xhtml"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                xmlns:tramite="http://java.sun.com/jsf/composite/tramite">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Resultado de levantamiento topográfico::.
    </ui:define>

    <ui:define name="content">
        <tramite:tramiteResumen id="tabsgridI"
                                tramiteParam="#{realizarInfVisTer.tramiteSeleccionado}"
                                muestraClasificacionParam="true" muestraFechaRadicacionParam="true"
                                muestraFechaSolicitudParam="true" muestraDerechoPeticionParam="true"/>

        <h:form id="resultadoLevantamientoForm">       
            <h:panelGrid columns="1" width="100%">
                <h:panelGrid columns="2" width="25%" cellpadding="5">
                    <h:outputLabel value="Núm. Comisión" styleClass="outputLabelStyle" />

                    <p:commandLink
                        value="#{realizarInfVisTer.comisionTramiteSeleccionado.numero}"
                        update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                        onstart="statusDialog2.show()"
                        oncomplete="statusDialog2.hide(); visorDocumentoComisionWV.show()"
                        rendered="#{!realizarInfVisTer.documentoComisionTramiteSeleccionado.archivoADescargar}">
                    </p:commandLink>
                </h:panelGrid>

            </h:panelGrid>

            <p:spacer height="10" />
            <p:messages showDetail="false" globalOnly="false" id="controlMsg" />
            <h:panelGrid>
                <p:spacer height="10" />
                <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
                <h:outputText
                    value="Recuerde que los tiempos son multiplos de 0.5 (medio dia)."
                    styleClass="noteTextStyle" />
            </h:panelGrid>
            <h:panelGrid columns="2">
                <h:panelGrid columns="3">
                    <h:panelGroup>
                        <h:outputLabel value="Tiempo programado:"
                                       for="tiempoProgramado" styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:inputText id="tiempoProgramado"
                                 label="Tiempo programado" required="true"
                                 disabled="#{!realizarInfVisTer.habilitarTiempoProgramado}"
                                 value="#{realizarInfVisTer.tiempoProgramado}"
                                 requiredMessage="El tiempo programado es un campo obligatorio"
                                 validatorMessage="El tiempo programado no tiene el formato corrrecto"
                                 maxlength="4" size="4">
                        <f:validateRegex pattern="^[0-9]{1,2}(\.[5]{0,1})?$" />
                    </h:inputText>
                    <h:outputLabel value=" días" styleClass="outputLabelStyle" />
                </h:panelGrid>

                <h:panelGrid columns="3">
                    <h:panelGroup>
                        <h:outputLabel value="Tiempo utilizado:"
                                       for="tiempoUtilizado" styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <h:inputText id="tiempoUtilizado"
                                 label="Tiempo utilizado" required="true"
                                 value="#{realizarInfVisTer.tiempoUtilizado}"
                                 requiredMessage="El tiempo utilizado es un campo obligatorio"
                                 validatorMessage="El tiempo utilizado no tiene el formato corrrecto"
                                 maxlength="4" size="4">
                        <f:validateRegex pattern="^[0-9]{1,2}(\.[5]{0,1})?$" />
                        <p:ajax event="change" listener="#{realizarInfVisTer.updateMotivo}" update=":resultadoLevantamientoForm"/>
                    </h:inputText>
                    <h:outputLabel value=" días" styleClass="outputLabelStyle" />
                </h:panelGrid>

                <p:spacer height="30" width="0" />
                <p:spacer height="30" width="0" />

                <h:panelGrid columns="1" cellspacing="5" cellpadding="5" width="550">

                    <p:dataTable var="trabajo" id="trabajoProgramadoTable"
                                 widgetVar="trabajoProgramadoTableWV" paginatorPosition="bottom"
                                 paginator="true" rows="5" rowKey="#{trabajo.id}"
                                 value="#{realizarInfVisTer.inconsistenciasTramite}"
                                 selection="#{realizarInfVisTer.trabajoProgramadoSeleccionado}"
                                 paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                 rowsPerPageTemplate="5,10,15"
                                 emptyMessage="No hay trabajos programados asociados">

                        <p:column headerText="Tipo">
                            <h:outputText id="PredioTipoV" value="#{trabajo.tipo}" />
                        </p:column>

                        <p:column headerText="Trabajo programado">
                            <h:outputText value="#{trabajo.inconsistencia}" />

                        </p:column>
                        <p:column headerText="Número predial">
                            <h:outputText value="#{trabajo.numeroPredial}"
                                          styleClass="outputTextStyle" />
                        </p:column>

                        <p:column selectionMode="multiple" style="width:2%" />  

                    </p:dataTable>

                </h:panelGrid>

                <h:panelGrid width="450" columns="1" id="motivoPG">
                    <h:panelGroup>
                        <h:outputLabel value="Motivo:"
                                       for="tiempoUtilizado" styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <p:spacer height="10" width="0" />
                    <p:editor value="#{realizarInfVisTer.motivo}"
                              id="motivoEditor" required="true"
                              disabled="#{!realizarInfVisTer.habilitarMotivo}"
                              requiredMessage="El motivo es un campo obligatorio"
                              widgetVar="motivoWV" width="400" height="150"
                              controls="bold italic | style |
                              bullets numbering | outdent indent | alignleft justify | undo redo  | 
                              cut copy paste pastetext | print " />
                </h:panelGrid>

                <p:spacer height="30" width="0" />
                <p:spacer height="30" width="0" />

                <h:panelGrid columns="2">
                    <h:outputLabel value="Se realizaron tareas adcionales?"
                                   styleClass="outputLabelStyle" />
                    <h:selectOneRadio id="options" value="#{realizarInfVisTer.tareasAdicionales}">
                        <f:selectItem itemLabel="NO" itemValue="NO" />
                        <f:selectItem itemLabel="SI" itemValue="SI" />
                        <p:ajax process="@this" onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();"
                                update=":resultadoLevantamientoForm:tareasAdicionalesPG"
                                listener="#{realizarInfVisTer.tareasAdicionalesListener}" />
                    </h:selectOneRadio>
                </h:panelGrid>

                <h:panelGrid width="450" columns="1" id="tareasAdicionalesPG">
                    <h:panelGroup>
                        <h:outputLabel value="Tareas adicionales realizadas:" 
                                       for="tareasAdicionalesEditor" styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGroup>
                    <p:spacer height="10" width="0" />
                    <p:editor value="#{realizarInfVisTer.tareasAdicionalesRealizadas}"
                              id="tareasAdicionalesEditor" required="true"
                              requiredMessage="Debe escribir las tareas adicionales realizadas"
                              disabled="#{!realizarInfVisTer.habilitarTareasAdicionalesTexto}"
                              widgetVar="motivoWV" width="400" height="150"
                              controls="bold italic | style |
                              bullets numbering | outdent indent | alignleft justify | undo redo  | 
                              cut copy paste pastetext | print " />
                </h:panelGrid>

                <p:spacer height="30" width="0" />
                <p:spacer height="30" width="0" />

                <h:panelGrid width="450" columns="1" id="actividadesDesarrolladasPG">
                    <h:outputLabel value="Resumen de actividades desarrolladas:" 
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="10" width="0" />
                    <p:editor value="#{realizarInfVisTer.actividadesDesarrolladas}"
                              id="actividadesDesarrolladasEditor"
                              widgetVar="motivoWV" width="400" height="150"
                              controls="bold italic | style |
                              bullets numbering | outdent indent | alignleft justify | undo redo  | 
                              cut copy paste pastetext | print " />
                </h:panelGrid>

                <h:panelGrid width="450" columns="1" id="inconvenientesAdministrativosPG">
                    <h:outputLabel value="Inconvenientes administrativos:" 
                                   styleClass="outputLabelStyle" />
                    <p:spacer height="10" width="0" />
                    <p:editor value="#{realizarInfVisTer.inconvenientesAdministrativos}"
                              id="inconvenientesAdministrativosEditor"
                              widgetVar="motivoWV" width="400" height="150"
                              controls="bold italic | style |
                              bullets numbering | outdent indent | alignleft justify | undo redo  | 
                              cut copy paste pastetext | print " />
                </h:panelGrid>

                <p:spacer height="30" width="0" />
                <p:spacer height="30" width="0" />

                <h:panelGrid columns="1" id="inconvenientesTipo1PG">
                    <h:outputLabel value="Inconvenientes: "
                                   styleClass="outputLabelStyle" />
                    <h:selectManyCheckbox id="options2" value="#{realizarInfVisTer.inconvenientesTipo1}" layout="pageDirection">
                        <f:selectItem itemLabel="De tipo social" itemValue="De tipo social" />
                        <f:selectItem itemLabel="De tipo técnico" itemValue="De tipo técnico" />
                        <p:ajax process="@this" onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();"
                                update=":resultadoLevantamientoForm:inconvenientesTipo1PG"
                                listener="#{realizarInfVisTer.inconvenientesTipo1Listener}" />
                    </h:selectManyCheckbox>

                    <p:editor value="#{realizarInfVisTer.inconvenientesTipo1Texto}"
                              id="inconvenientesTipo1Editor" required="true"
                              requiredMessage="Debe registrar la información de los inconvenientes seleccionados"
                              disabled="#{!realizarInfVisTer.habilitarInconvenientesTipo1Texto}"
                              widgetVar="motivoWV" width="400" height="150"
                              controls="bold italic | style |
                              bullets numbering | outdent indent | alignleft justify | undo redo  | 
                              cut copy paste pastetext | print " />
                </h:panelGrid>

                <h:panelGrid columns="1" id="inconvenientesTipo2PG">
                    <h:outputLabel value="Inconvenientes: "
                                   styleClass="outputLabelStyle" />
                    <h:selectManyCheckbox id="options3" value="#{realizarInfVisTer.inconvenientesTipo2}" layout="pageDirection">
                        <f:selectItem itemLabel="De tipo logístico" itemValue="De tipo logístico" />
                        <f:selectItem itemLabel="Factor humano" itemValue="Factor humano" />
                        <p:ajax process="@this" onstart="statusDialog2.show();"
                                oncomplete="statusDialog2.hide();"
                                update=":resultadoLevantamientoForm:inconvenientesTipo2PG"
                                listener="#{realizarInfVisTer.inconvenientesTipo2Listener}" />
                    </h:selectManyCheckbox>

                    <p:editor value="#{realizarInfVisTer.inconvenientesTipo2Texto}"
                              id="inconvenientesTipo2Editor" required="true"
                              requiredMessage="Debe registrar la información de los inconvenientes seleccionados"
                              disabled="#{!realizarInfVisTer.habilitarInconvenientesTipo2Texto}"
                              widgetVar="motivoWV" width="400" height="150"
                              controls="bold italic | style |
                              bullets numbering | outdent indent | alignleft justify | undo redo  | 
                              cut copy paste pastetext | print " />
                </h:panelGrid>
            </h:panelGrid>
            <p:spacer width="0" height="10" />

            <h:panelGrid columns="6" id="botonesPG">
                <p:commandButton value="Guardar"
                                 id="guardarBtn" icon="ui-icon ui-icon-print"
                                 disabled="#{!realizarInfVisTer.habilitarBotonGuardarDoc}"
                                 action="#{realizarInfVisTer.guardarDocumento}" ajax="false"
                                 update=":resultadoLevantamientoForm"
                                 process="@form">
                </p:commandButton>
                <p:spacer height="0" width="30" />
                <p:commandButton value="Generar documento"
                                 onstart="statusDialog2.show();"
                                 action="#{realizarInfVisTer.generarDocumento}"
                                 oncomplete="statusDialog2.hide(); handleCompleteSIC(xhr, status,args, visorReporteWV, true);"
                                 icon="ui-icon-image" ajax="true"
                                 update=":resultadoLevantamientoForm"
                                 process="@form"/>
                <p:spacer width="30" />
                <p:commandButton value="Avanzar proceso"
                                 update=":resultadoLevantamientoForm"
                                 action="#{realizarInfVisTer.avanzarProceso}" ajax="false"
                                 disabled="#{!realizarInfVisTer.habilitarAvanzarProceso}" 
                                 icon="ui-icon-seek-next"/>

            </h:panelGrid>



            <p:separator style="width:98%;height:3px" />

            <p:outputPanel layout="block" style="text-align:right">

                <p:commandButton value="Cerrar" icon="ui-icon-close"
                                 action="#{realizarInfVisTer.cerrar}" ajax="false" immediate="true" />

                <p:spacer width="10" />

            </p:outputPanel>
            <p:spacer width="10" />

        </h:form>


        <p:dialog header="Detalle del trámite" dynamic="true"
                  widgetVar="detalleTramiteEjecutarWV" modal="false"
                  appendToBody="true" resizable="true" position="center" height="480"
                  width="960">
            <ui:include src="../ejecucion/detalleTramiteEjecucion.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesTramite}" />
                <ui:param name="currentDetallePredioWV" value="detallePredioWV" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include src="../ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{vistaDetallesSolicitud.solicitudSeleccionada}" />
            </ui:include>
        </p:dialog>

        <predio:detallesPredioCC id="dpCC" thisWVName="detallePredioWV"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC" />

        <!-- Dialog usado para habilitar el tab de origen del predio -->
        <predio:detallesPredioCC id="dpCC2" thisWVName="detallePredioWV2"
                                 mostrarDatosPropietarios="true" mostrarDatosTramites="true"
                                 mostrarFichaPredial="true" thisIdPlusColon=":dpCC2" />

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />

        <misc:visualizadorMemorandosCC  id="viewReport"
                                        thisWVName="visorReporteWV"
                                        urlDocumento="#{realizarInfVisTer.informeVisita.urlWebReporte}"
                                        fileContent="#{realizarInfVisTer.informeVisita.streamedContentReporte}"
                                        documentoGenerado="#{realizarInfVisTer.informeVisita ne null}"
                                        radicarButtonAction="#{realizarInfVisTer.radicar}"
                                        radicarButtonEnabled="false"
                                        radicarButtonVisible="false"
                                        componentsToUpdateOnClose=":resultadoLevantamientoForm"
                                        cancelButtonEnabled="false"
                                        cancelButtonVisible="false"/>

        <misc:visualizadorMemorandosCC  id="viewDocumentoComision"
                                        thisWVName="visorDocumentoComisionWV"
                                        urlDocumento="#{realizarInfVisTer.reporteComision.urlWebReporte}"
                                        fileContent="#{realizarInfVisTer.reporteComision.streamedContentReporte}"
                                        documentoGenerado="#{realizarInfVisTer.reporteComision ne null}"
                                        radicarButtonAction="#{realizarInfVisTer.radicar}"
                                        radicarButtonEnabled="false"
                                        radicarButtonVisible="false"
                                        componentsToUpdateOnClose=":resultadoLevantamientoForm"
                                        cancelButtonEnabled="false"
                                        cancelButtonVisible="false"/>

    </ui:define>
</ui:composition>
